FROM python:3.10

ENV PYTHONUNBUFFERED=1 \
  PIP_DISABLE_PIP_VERSION_CHECK=on \
  POETRY_VIRTUALENVS_CREATE=false

WORKDIR /app

COPY ./poetry.lock ./pyproject.toml /app/

RUN pip install --no-cache-dir poetry

RUN poetry install --no-interaction && rm -rf /root/.cache

COPY app.py .

CMD ["poetry", "run", "python", "app.py"]
